namespace ConsoleApp3
{
    internal class Program
    {
        static void Res(int n, int k, int x, int[] a)
        {
            int c = 0, br = 0;
            List<int> b = new List<int>();
            for (int i = 0; i <= n - k; i++)
            {
                for (int j = i+1; j < i + k; j++)
                {
                    b.Add(a[j]);
                }
                b.Add(0);
                b.Sort();
                b.Reverse();
                if (i + k < n)
                    c = a[i + k];
                for(int j = 0; j < x-1; j++)
                {
                    br += b[j] - c;
                }
                br += a[i] - c;
                Console.WriteLine(br);
                br = 0;
                c = 0;
                b.Clear();
            }
        }
        static void Main(string[] args)
        {
            string[] c = Console.ReadLine().Split();
            int n = int.Parse(c[0]), k = int.Parse(c[1]), x = int.Parse(c[2]);
            int[] a = new int[n];
            c = Console.ReadLine().Split();
            a[n - 1] = int.Parse(c[n - 1]);
            for(int i = n-2; i >= 0; i--)
            {
                a[i] = int.Parse(c[i]) + a[i+1];
            }
            Res(n, k, x, a);
        }
    }
}